> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/6-interakcje-i-akcje/trigger.md).

# Trigger

Przycisk wyzwalający wykonanie akcji lub przejście grafu (pierwszymi węzłami grafu są bezpośrednie następniki komponentu **Trigger**).

![](/files/11ec1eafed779c04717f89c4308132b8684f7f4a)

## Właściwości komponentu

| Właściwość Eximee Designer                                                            | Nazwa atrybutu w Źródle     | Opis                                             |
| ------------------------------------------------------------------------------------- | --------------------------- | ------------------------------------------------ |
| **Treść** (sekcja **Podstawowe właściwości**)                                         | text                        | Tekst do wyświetlenia w przycisku                |
| **Wysłanie eventu CLICK zamiast zmiany wartości** (sekcja **Podstawowe właściwości**) | emitEventWithoutValueChange | Wysłanie zdarzenia CLICK zamiast zmiany wartości |

> Więcej informacji o właściwościach komponentu: [Wspólne właściwości komponentów](/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/wspolne-wlasciwosci-komponentow.md)

{% hint style="info" %}
Nasłuchiwanie na komponent zależny spowoduje każdorazowe wyświetlenie komponentu, gdy zmieni się wartość pola zależnego.
{% endhint %}

## Obsługiwane zdarzenia

Kliknięcie **Triggera** może spowodować wywołanie zdarzenia (dokumentacja akcji/eventów: [Akcje](/budowanie-aplikacji/logika-biznesowa/przeplywy/akcje.md))

| Nazwa     | Opis                                                                                                                          |
| --------- | ----------------------------------------------------------------------------------------------------------------------------- |
| **CLICK** | Zdarzenie wysyłane po kliknięciu w przycisk (pod warunkiem włączenia opcji **Wysłanie eventu CLICK zamiast zmiany wartości**) |

![Ilustracja 1. Przykładowy wygląd komponentu na wniosku](/files/4a9af7a0e243ae04478da49eeca4bb46358945df)

{% hint style="info" %}
Wnioski demo: demoTriggery, demoPopup
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/6-interakcje-i-akcje/trigger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
